hostpanData (EPP RTK Java API Documentation)
Keywords: com.tucows.oxrs.epp0705.rtk.xml.poll.hostpanData class

### com.tucows.oxrs.epp0705.rtk.xml.poll

# Class hostpanData

- `org.omg.CORBA.portable.ObjectImpl`
- - `com.tucows.oxrs.epp0705.rtk.RTKBase`
  - - `com.tucows.oxrs.epp0705.rtk.xml.EPPXMLBase`
    - - `com.tucows.oxrs.epp0705.rtk.xml.poll.hostpanData`

Implemented Interfaces:
  PollResData

`public class hostpanData`
`extends EPPXMLBase`
`implements PollResData`

An implementation of PollResData for contact transfer poll response data. Populates the epp_PollResData with the epp_PollResDataUnion and m_host_transfer member set. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/com/tucows/oxrs/epp0705/rtk/xml/poll/hostpanData.java,v 1.1 2003/03/20 22:42:01 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/20 22:42:01 $

  ## Field Summary

  ### Fields inherited from class com.tucows.oxrs.epp0705.rtk.xml.EPPXMLBase
  `auth_type_string_to_type_hash_`, `transfer_status_to_type_hash_`, `xml_`

  ### Fields inherited from class com.tucows.oxrs.epp0705.rtk.RTKBase
  `CRLF`, `DATE_FMT`, `DEBUG_LEVEL_ONE`, `DEBUG_LEVEL_THREE`, `DEBUG_LEVEL_TWO`, `DEBUG_NONE`, `RTK_VERSION`, `UTC_FMT`

  ## Method Summary
  `void` | `fromXML(Node res_data_node)` Populates the poll res data with pending action notification data.
  `epp_PollResData` | `getPollResData()` Returns the epp_PollResData private member.

  ### Methods inherited from class com.tucows.oxrs.epp0705.rtk.xml.EPPXMLBase
  `addXMLElement`, `convertListToArray`, `convertListToStringArray`, `createDocRoot`, `createXMLFromDoc`, `createXMLSnippetFromDoc`, `getAvailResultFor`, `getCheckResultFor`, `getDocumentElement`, `getElement`, `getExtensionNode`, `getNode`, `getPanData`, `getTransID`, `getXML`, `initAuthInfoStringToTypeHash`, `initHashes`, `initTransferStatusToTypeHash`, `parseGenericCheckResults`, `parseGenericResult`, `prepareAuthInfo`, `prepareExtensionElement`, `stringListToXML`, `transferStatusFromString`, `transferStatusToString`

  ### Methods inherited from class com.tucows.oxrs.epp0705.rtk.RTKBase
  `_ids`, `debug`, `debug`, `getDebugLevel`, `getDebugPrintStream`, `getEasyProperty`, `getRTKProperties`, `setDebugLevel`, `setDebugLevel`, `setDebugPrintStream`

## Method Details

### fromXML

    public void fromXML(Node res_data_node)
                throws epp_XMLException

> Populates the poll res data with pending action notification data.
> Specified by:
>   fromXML in interface PollResData

### getPollResData

    public epp_PollResData getPollResData()

> Returns the epp_PollResData private member. Should only be called after a successful fromXML() otherwise, the poll res data will be null.
> Specified by:
>   getPollResData in interface PollResData

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS